www.cendio.com

Bug 6004

Summary: Websockets require HTTP/1.1
Product: ThinLinc Reporter: Samuel Mannehed <samuel@cendio.se>
Component: Web AccessAssignee: Samuel Mannehed <samuel@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: astrand@cendio.se, hean01@cendio.se
Version: pre-1.0Keywords: hean01_tester, relnotes
Target Milestone: 4.7.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on: 6003    
Bug Blocks:    

Description From cendio 2016-09-22 14:07:29
We don't support this yet (see bug 6003) and at least Webkit enforces this now.
Seen on Safari on latest macOS.
------- Comment #1 From cendio 2016-09-22 14:13:46 -------
Trying to open the HTML5 client in Safari on latest OS X gives the following
error in the web console:

WebSocket connection to 'wss://eudemo.thinlinc.com:300/websocket/testuser/4'
failed: Invalid HTTP version string: HTTP/1.0
------- Comment #3 From cendio 2016-09-22 14:19:08 -------
Workaround in place until bug 6003 is fixed.

Tester should verify that the HTML5 client works on Safari 10 on OS X now.
------- Comment #4 From cendio 2016-09-26 16:05:13 -------
Verified that commit solves the problem on safari 10.
------- Comment #5 From cendio 2016-11-02 09:02:55 -------
(In reply to comment #0)
> We don't support this yet (see bug 6003) and at least Webkit enforces this now.
> Seen on Safari on latest macOS.

Firefox and Chrome works however.